System.Web 2.0.0.0 System.Enum

The enumeration is used to specify the value of the cookieless attribute in the sessionState configuration section. It is used by all features that support cookieless authentication.

The enumeration values specify how a cookie should be used to maintain information about the user. When is used, ASP.NET queries the browser or device to determine whether it supports cookies. If the browser or device supports cookies, then cookies are used to persist user data; otherwise, an identifier is used in the query string.

Specifies how cookies are used for a Web application.

- Field
  System.Web.HttpCookieMode

  ASP.NET determines whether the requesting browser or device supports cookies. If the requesting browser or device supports cookies then uses cookies to persist user data; otherwise, an identifier is used in the query string. If the browser or device supports the use of cookies but cookies are currently disabled, cookies are still used by the requesting feature.

  2.0.0.0
- Field
  System.Web.HttpCookieMode

  Cookies are used to persist user data regardless of whether the browser or device supports cookies.

  2.0.0.0
- Field
  System.Web.HttpCookieMode

  ASP.NET determines whether to use cookies based on setting. If the setting indicates that the browser or device supports cookies, cookies are used; otherwise, an identifier is used in the query string.

  2.0.0.0
- Field
  System.Web.HttpCookieMode

  The calling feature uses the query string to store an identifier regardless of whether the browser or device supports cookies.

  2.0.0.0